module Seojs

  def self.token=(value)
    if value
      @url = "http://cdn.getseojs.com/snapshots/#{value}"
    else
      @url = nil
    end
  end
  
  def self.url=(value)
    @url = value
  end
  
  def self.url
    @url
  end

end

Seojs.token = ENV['SEOJS_TOKEN'] if ENV['SEOJS_TOKEN']
Seojs.url = ENV['SEOJS_URL'] if ENV['SEOJS_URL']

require 'seojs/middleware'
require 'seojs/railtie' if defined?(Rails::Railtie)